/*---------------------------- 
  Fonts
------------------------------*/

@font-face {
  font-family: "cyrodiil";
  src: url("../fonts/cyrodiil/cyrodiil.ttf");
}


/*---------------------------- 
  Global Styles
------------------------------*/

.window-header {
  background: url("../images/black.png") repeat;
  font-family: "cyrodiil";
}

.window-app .window-content,
.worldbuilding .window-content {
  background: url("../images/parchment5.jpg") repeat;
  background-size: contain;
  border-left: rgb(0, 0, 0) 5px solid;
  border-right: rgb(0, 0, 0) 5px solid;
  border-bottom: rgb(0, 0, 0) 5px solid;
  box-shadow: 5px 5px 30px 5px;
}

.window-title {
  font-size: large;
}

.worldbuilding h1, h2 {
  font-family: "cyrodiil";
  text-align: center;
}

.worldbuilding button {
  font-family: "cyrodiil";
  border: 1px solid;
}

.worldbuilding button:hover {
  cursor: pointer;
}

.worldbuilding .item-name:hover {
  cursor: pointer;
  font-weight: bold;
}

.worldbuilding nav {
  font-family: "cyrodiil";
  font-size: 18px;
  background: url('../images/gray_leather.jpg');
  color: white;
}

.worldbuilding nav .active {
  text-decoration: underline;
}

.worldbuilding .fa-dice-d20:hover {
  cursor: pointer;
  color: darkred;
}

.worldbuilding .rollable:hover {
  cursor: pointer;
  color: darkred;
}

.worldbuilding table thead {
  background: rgba(0, 0, 0, 0.705);
}

.worldbuilding select {
  height: 18px;
  border: none;
}

.worldbuilding .resourceButton {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 0 5px;
}

.worldbuilding .resourceButton i:hover {
  cursor: pointer;
  color: darkred;
}

.worldbuilding select:hover {
  cursor: pointer;
}

.worldbuilding .item-create:hover,
.worldbuilding .equip-items:hover {
  transition: 0.5s;
  cursor: pointer;
  color: black;
  text-shadow: none;
  background-color: rgba(214, 214, 214, 0.651);
}

.worldbuilding .item .flex-container,
.worldbuilding .npc-item .flex-container {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 5px;
}

.worldbuilding .checkbox {
  height: 14px !important;
  width: 14px !important;
}

/*---------------------------- 
  TinyMCE Editor
------------------------------*/

.worldbuilding .editor {
  min-height: 60px;
}

.worldbuilding .editor .editor-content {
  min-height: 300px;
  padding: 5px 0;
}

#tinymce body {
  height: calc(100vh - 16px);
  background: white;
}

/*---------------------------- 
  Chat Log Styles
------------------------------*/
.chat-message h2 {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 5px;
}

.chat-message h2 img {
  height: 24px;
  width: 24px;
}

.chat-message .tableCenterText {
  text-align: center;
}

.chat-message .inline-roll {
  font-weight: bold;
}

.chat-message .flavor-text .tag-container {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: flex-start;
  gap: 2px;
}

.chat-message .tag { 
  color: white; 
  text-align: center; 
  font-size: xx-small; 
  padding: 0 5px;
  border: 1px solid rgb(105, 105, 105);
  border-radius: 30px;
}

.chat-message .wound-tag {
  background-color: darkred; 
}

.chat-message .fatigue-tag {
  background-color: green;
}

.chat-message .enc-tag {
  background-color: black;
}

/*---------------------------- 
  Actor Sheets
------------------------------*/

.worldbuilding .sheet-section-container {
  display: flex;
  flex-direction: row;
  width: 100%;
  height: 100%;
}

.worldbuilding img {
  border: none;
}


/*---------------------------- 
  Items Lists & Tables
------------------------------*/

.worldbuilding .headerWithButton {
  width: 100%;
  position: relative;
}

.worldbuilding .skillList {
  display: grid;
  grid-auto-flow: row;
  grid-template-columns: 1fr 1fr;
  column-gap: 10px;
  list-style: outside none none;
  margin: 0;
  padding: 0;
}

.worldbuilding .single-column-list {
  list-style: outside none none;
  margin: 0;
  padding: 0;
}

.worldbuilding .skillList .item,
.worldbuilding .skillList .npc-item,
.worldbuilding .single-column-list .item {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  border-bottom: 1px solid rgba(128, 128, 128, 0.719);
  background-color: rgba(194, 194, 194, 0.308);
}

.worldbuilding .headerWithButton .item-create,
.worldbuilding .headerWithButton .modifier-create {
  position: absolute;
  left: 0;
  width: 24px;
  height: 24px;
  line-height: 14px;
}

.worldbuilding .itemInfo,
.worldbuilding .item-controls {
  display: flex;
  flex-direction: row;
  align-items: center;
  flex-wrap: nowrap;
  gap: 5px;
}

.worldbuilding .itemInfo {
  justify-content: flex-start;
  width: 100%;
}

.worldbuilding .item-controls {
  justify-content: flex-end;
}

.worldbuilding .itemInfo .skill-name input {
  height: 18px;
  border: none;
  width: 100%;
}

.worldbuilding .item img,
.worldbuilding .npc-item img {
  height: 24px;
  width: 24px;
}

.worldbuilding .item-controls {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 5px;
}

.worldbuilding table .right-align-cell {
  padding: 0 5px 0 0;
  text-align: right;
}

.worldbuilding .right-align {
  text-align: right;
}

.worldbuilding .center-align {
  text-align: center;
}

.worldbuilding .item input {
  height: 12px;
  width: 12px;
}

.worldbuilding .profession {
  text-align: right;
  width: 100%;
}

.worldbuilding .profession input {
  height: 18px;
  width: 35%;
  border: none;
}

.worldbuilding table td {
  text-align: center;
}

.worldbuilding .tableItemNameCell {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 5px;
}

.worldbuilding .spellList table .item,
.worldbuilding .equipmentList table .item,
.worldbuilding .merchant-item-list .item {
  display: none;
}

.worldbuilding .spellList table .active,
.worldbuilding .equipmentList table .active,
.worldbuilding .merchant-item-list .active {
  display: table-row;
}

.worldbuilding .equipmentList button,
.worldbuilding .ammunition-table button {
  height: 24px;
  line-height: 14px;
}

.worldbuilding .qty-controls {
  width: 24px;
}

.worldbuilding .qty-controls button {
  padding: 0;
  height: 24px;
  line-height: 14px;
}

/*---------------------------- 
  Actor Sheets - Fixed Section
------------------------------*/

.worldbuilding .sheet-fixed-container {
  display: flex;
  flex-direction: column;
  width: 250px;
  min-width: 250px;
  height: 100%;
  padding: 10px;
  border-right: solid 1px black;
  background-color: rgba(199, 199, 199, 0.774);
}

.worldbuilding .sheet-fixed-container button {
  color: white;
  border: 1px solid black;
  background: rgb(73, 73, 73);
}

.worldbuilding .fixed-data-container {
  display: flex;
  flex-direction: column;
  gap: 10px;
}

.worldbuilding .character-profile-container .profile-img-container {
  position: relative;
  height: 180px;
  width: 100%;
}

.worldbuilding .character-profile-container .profile-img {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 180px;
  height: 180px;
}

.worldbuilding .charname input {
  border: none;
}

.worldbuilding .status-column {
  position: absolute;
  left: 0;
  top: 0;
}

.worldbuilding .vertical-flex-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 5px;
}

.worldbuilding .vertical-flex-container img {
  display: none;
  height: 24px;
  width: 24px;
  border-radius: 50%;
  border: 1px solid;
}

.worldbuilding .vertical-flex-container .active {
  display: block;
}

.worldbuilding .header-fields .flex-container {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  gap: 5px;
  width: 100%;
  border-top: 1px solid rgba(128, 128, 128, 0.719);
}

/*---------------------------- 
  Actor Sheets - Resource Bars
------------------------------*/

.worldbuilding .resourceBars {
  display: flex;
  flex-direction: column;
  width: 100%;
  align-items: flex-start;
  padding: 0 0 5px 0;
  gap: 5px;
}

.worldbuilding #hpResource,
.worldbuilding #staminaResource,
.worldbuilding #magickaResource,
.worldbuilding #luckResource {
  display: flex;
  flex-direction: row;
  width: 100%;
  flex-wrap: nowrap;
  align-items: center;
}

.worldbuilding .resourceLabel {
  display: flex;
  flex-direction: row;
  align-items: center;
  min-width: 100px;
}

.worldbuilding .maxBar {
  position: relative;
  border: 1px solid;
  border-radius: 5px;
  height: 28px;
  width: 100%;
  font-family: "cyrodiil";
  font-weight: bold;
  background: rgb(73, 73, 73);
}

.worldbuilding .maxBar .bar-values {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  height: 26px;
  width: 60%;
  text-align: center;
  color: white;
}

.worldbuilding .currentBar {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  gap: 5px;
  height: 26px;
  width: 100%;
}

.worldbuilding .maxBar input {
  width: 30px;
  color: white;
  border: none;
  text-align: center;
  font-weight: bold;
}

.worldbuilding #hpBar {
  color: white;
  background-color: darkred;
}

.worldbuilding #staminaBar {
  color: white;
  background-color: green;
}

.worldbuilding #magickaBar {
  color: white;
  background-color: rgb(30, 130, 223);
}

.worldbuilding #luck_pointsBar {
  color: white;
  background-color: purple;
}

/*---------------------------- 
  Actor Sheets - Characteristics
------------------------------*/
.worldbuilding .characteristics-container {
  display: flex;
  flex-direction: column;
}

.worldbuilding .characteristic-entry-container {
  display: flex;
  flex-direction: column;
  width: 100%;
}

.worldbuilding .characteristic {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: flex-start;
  border-bottom: 1px solid rgba(128, 128, 128, 0.719);
  background-color: rgba(194, 194, 194, 0.308);
}

.worldbuilding .characteristic input:hover {
  cursor: pointer;
}

.worldbuilding .characteristic .right-align-content {
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: flex-end;
}

.worldbuilding .characteristic .right-align-content img {
  height: 35px;
  width: 35px;
  top: 3px;
  right: 5px;
  position: absolute;
  padding: 2px;
}

.worldbuilding .styled-font-default {
  font-family: "cyrodiil";
}

.worldbuilding .styled-font {
  font-family: "cyrodiil";
  font-size: 18px;
}

.worldbuilding .styled-font-bold {
  font-family: "cyrodiil";
  font-size: 18px;
  font-weight: bold;
}

.worldbuilding .styled-font-red {
  font-family: "cyrodiil";
  color: darkred;
  font-size: 16px;
}

.worldbuilding .red {
  color: darkred;
}

.worldbuilding .characteristics-container h2 {
  margin: 0 0 5px 0;
  position: relative;
}

.worldbuilding .characteristics-container h2 button {
  position: absolute;
  left: 0;
  top: 1px;
  width: 35px;
  height: 26px;
  line-height: 14px;
}

/*----------------------------------------- 
  Actor Sheets - Language & Factions
-------------------------------------------*/

.worldbuilding .two-column-flex-container {
  display: flex;
  flex-direction: row;
  width: 100%;
  gap: 10px;
}

.worldbuilding .languageContainer,
.worldbuilding .factionContainer {
  width: 50%;
}


/*---------------------------- 
  Actor Sheets - Body Section
------------------------------*/

.worldbuilding .sheet-body {
  display: flex;
  flex-direction: column;
  width: 100%;
  height: 100%;
  padding: 10px;
}

.worldbuilding .tabContainer {
  display: flex;
  flex-direction: column;
  gap: 10px;
  width: 100%;
}

/*---------------------------- 
  Actor Sheets - Core Tab
------------------------------*/

.worldbuilding .bioPage .contentContainer {
  height: 100%;
  /* height: 200px;
  overflow: scroll; */
}

.worldbuilding .buttonStats {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
}

.worldbuilding .buttonStats button {
  border: 1px solid;
  padding: 0;
}

.worldbuilding .npc-button-stats {
  display: flex;
  flex-direction: row;
  align-items: top;
  justify-content: space-between;
  height: 100%;
  background: rgba(180, 180, 180, 0.562);
  border: 1px solid;
  padding: 0 5px 5px 5px;
}

.worldbuilding .npc-button-stats input {
  height: 18px;
  border: none;
  text-align: center;
}

.worldbuilding .npc-button-stats div {
  display: flex;
  flex-direction: column;
  align-items: center;
  height: 100%;
}

/*---------------------------- 
  Actor Sheets - Combat Tab
------------------------------*/
.worldbuilding .combatTabContainer {
  display: flex;
  flex-direction: column;
  height: 100%;
  gap: 5px;
}
.worldbuilding .competences {
  width: 25px;
  text-align: center;
}
.worldbuilding .combat-tab-primary-header {
  display: flex;
  flex-direction: row;
  width: 100%;
}

.worldbuilding .combat-stats-container {
  display: grid;
  grid-template-columns: 60px 60px;
  gap: 5px;
}

.worldbuilding .combat-stats-container .combat-stat {
  display: flex;
  flex-direction: column;
  align-items: center;
  border: 1px solid;
  height: 50px;
  background: rgba(180, 180, 180, 0.562);
}

.worldbuilding .combat-stat .flex-container {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  height: 50%;
  width: 100%;
  border-top: 1px solid rgba(128, 128, 128, 0.719);
}

.worldbuilding .combat-stat .stat-value-label {
  font-family: "cyrodiil";
  font-size: 18px;
  color: darkred;
  height: 50%;
  width: 100%;
  text-align: center;
}

.worldbuilding .small-text-label {
  text-align: center;
  font-size: 10px;
}

.worldbuilding .combat-stat .flex-container-input {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  height: 100%;
}

.worldbuilding .combat-stat .flex-container-input input {
  text-align: center;
  color: darkred;
  border: none;
  height: 18px;
}

.worldbuilding #selectWornArmor:hover {
  cursor: pointer;
  color: darkred;
  font-weight: bold;
}

.worldbuilding .three-column-flex-container {
  display: flex;
  flex-direction: row;
  width: 100%;
  gap: 10px;
}

.worldbuilding .trait-container,
.worldbuilding .talent-container,
.worldbuilding .power-container {
  width: 33%;
}

.worldbuilding table .item-name-cell {
  width: 60%;
  text-align: left;
  padding: 0 0 0 5px;
}

.worldbuilding .resistance-container,
.worldbuilding .status-controls-container {
  border: 1px solid;
  padding: 0 5px 5px 5px;
  background: rgba(180, 180, 180, 0.562);
  width: 100%;
}

.worldbuilding .resistance-container {
  min-width: 190px;
}

.worldbuilding .resistance-container .flex-container,
.worldbuilding .status-controls-container .flex-container {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  border-bottom: 1px solid rgba(128, 128, 128, 0.719);
}

.worldbuilding .resistance-grid {
  display: grid;
  grid-auto-flow: row;
  grid-template-columns: 50% 50%;
  column-gap: 5px;
  padding: 0 5px 0 0;
  align-items: center;
}

.worldbuilding .status-grid-container {
  display: grid;
  grid-auto-flow: row;
  align-items: center;
}

.worldbuilding .woundCheckBox:hover {
  cursor: pointer;
}

.worldbuilding .itemEquip {
  padding: 0;
  margin: 0;
  width: 14px;
}

.worldbuilding .label-flex-container {
  display: flex;
  flex-direction: row;
  align-items: center;
}


/*---------------------------- 
  Actor Sheets - Magic Tab
------------------------------*/

.worldbuilding .magicTabContainer {
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.worldbuilding .spellListContainer .tableListHeader h2 {
  position: relative;
}

.worldbuilding .spellListContainer .tableListHeader h2 button {
  position: absolute;
  left: 0;
  top: 0;
  width: 24px;
  height: 24px;
  line-height: 14px;
}

.worldbuilding .spellListContainer .tableListHeader h2 select {
  position: absolute;
  right: 0;
  top: 0;
}

.worldbuilding #spellFilter,
.worldbuilding #itemFilter {
  text-align: center;
  color: white;
  text-shadow: black;
}

.worldbuilding #spellFilter option,
.worldbuilding #itemFilter option {
  background: black;
}

/*---------------------------- 
  Actor Sheets - Equipment Tab
------------------------------*/

.worldbuilding .equipmentTabContainer {
  display: flex;
  flex-direction: column;
  width: 100%;
  gap: 20px;
}

.worldbuilding .equipment-info-container {
  display: flex;
  flex-direction: row;
  align-items: top;
  justify-content: space-between;
  gap: 20px;
}

.worldbuilding .equipment-info-container h2 {
  width: 100%;
  padding: 0;
  margin: 0;
}

.worldbuilding .equipment-info-container img {
  height: 35px;
  width: 35px;
}

.worldbuilding .equipment-info-container button,
.worldbuilding .equipment-info-container input {
  width: 150px;
  text-align: center;
}

.worldbuilding .wealthContainer,
.worldbuilding .encContainer {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 50%;
  gap: 5px;
  border: 1px solid;
  background: rgba(180, 180, 180, 0.562);
  padding: 5px;
}

.worldbuilding .wealthContainer input {
  border: none;
}

.worldbuilding .wealthCalc:hover {
  cursor: pointer;
}

.worldbuilding .encContainer .encLabel {
  font-size: 20px;
  height: 26px;
}

.worldbuilding .itemListContainer {
  display: flex;
  flex-direction: column;
  width: 100%;
  gap: 20px;
}

.worldbuilding .itemListContainer .equipmentList h2 {
  position: relative;
}

.worldbuilding .itemListContainer .equipmentList h2 button {
  position: absolute;
  left: 0;
  top: 0;
  width: 24px;
  height: 24px;
  line-height: 14px;
}

/*---------------------------- 
  NPC Sheets
------------------------------*/

.worldbuilding .combat-button-container {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  gap: 5px;
  padding: 5px 0;
  border-top: 1px solid;
  border-bottom: 1px solid;
}

.worldbuilding .combat-button {
  height: 40px;
  width: 100%;
  border-radius: 5px;
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  border: 1px solid;
  background: rgba(180, 180, 180, 0.562);
}

.worldbuilding .combat-button:hover {
  background: white;
  cursor: pointer;
}

.worldbuilding .combat-button .flex-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  height: 100%;
  width: 100%;
}

.worldbuilding .combat-button-label {
  font-size: 10px;
  height: 15px;
  width: 100%;
  border-top: 1px solid rgba(128, 128, 128, 0.719);
}

.worldbuilding .combat-button-value {
  font-family: "cyrodiil";
  color: darkred;
  font-size: 18px;
  height: 25px;
  width: 100%;
}


/*---------------------------- 
  Merchant Sheets
------------------------------*/

.worldbuilding .merchant-attribute-container {
  display: grid;
  grid-template-columns: 60% 40%;
  align-items: center;
  border-bottom: 1px solid rgba(128, 128, 128, 0.719);
}

.worldbuilding .merchant-resources {
  display: flex;
  flex-direction: column;
}

.worldbuilding .merchant-controls-container {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: flex-end;
}

.worldbuilding .merchant-attribute-container input {
  text-align: center;
  border: none;
}

.worldbuilding #merchantPriceValue {
  font-family: "cyrodiil";
  font-size: 18px;
  color: darkred;
  width: 75px;
}

.worldbuilding .store-name input {
  font-family: "cyrodiil";
  border: none;
}

.worldbuilding table .merchant-item-name-cell {
  width: 50%;
  text-align: left;
  padding: 0 0 0 5px;
}


/*---------------------------- 
  Item Sheets
------------------------------*/

.worldbuilding .attribute-tab-container {
  display: flex;
  flex-direction: column;
  width: 100%;
  gap: 10px;
}

.worldbuilding .attribute-container {
  display: flex;
  flex-direction: row;
  gap: 5px;
}

.worldbuilding .quality-container {
  border: 1px solid;
  padding: 0 5px 5px 5px;
  background: rgba(180, 180, 180, 0.562);
  display: flex;
  flex-direction: column;
  width: 100%;
}

.worldbuilding .item-resource-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 5px 0 0 0;
  text-align: center;
  gap: 5px;
  width: 100%;
}

.worldbuilding .item-resource-container input { 
  color: darkred;
  font-size: 18px;
  font-family: "cyrodiil";
  border: none;
  width: 100%;
}

.worldbuilding .item-resource-container .item-resource {
  display: flex;
  flex-direction: column;
  align-items: center;
  border: 1px solid;
  background: rgba(180, 180, 180, 0.562);
  width: 100%;
}

.worldbuilding .item-resource-row {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-evenly;
  gap: 5px;
  height: 40px;
  width: 100%;
}

.worldbuilding .item-resource .stat-value-label {
  font-family: "cyrodiil";
  font-size: 18px;
  color: darkred;
  height: 26px;
  width: 100%;
}

.worldbuilding .stat-value-label .flex-container {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
}

.worldbuilding .stat-value-label .flex-container input {
  width: 50%;
}

.worldbuilding .chargePlus,
.worldbuilding .chargeMinus {
  width: 15px;
}

.worldbuilding .chargePlus:hover,
.worldbuilding .chargeMinus:hover {
  cursor: pointer;
  color: darkred;
}

.worldbuilding .item-resistance-container,
.worldbuilding .item-characteristic-container,
.worldbuilding .item-selection-container {
  display: flex;
  flex-direction: column;
  border: 1px solid;
  background: rgba(180, 180, 180, 0.562);
  padding: 5px;
  width: 100%;
}

.worldbuilding .modifier-container {
  display: grid;
  grid-template-columns: 50% 50%;
  column-gap: 5px;
}

.worldbuilding .single-column-grid {
  grid-template-columns: 100% !important;
}

.worldbuilding .modifier-container .grid-container {
  display: grid;
  grid-template-columns: 80% 20%;
  border-bottom: 1px solid rgba(128, 128, 128, 0.719);
  align-items: center;
}

.worldbuilding .selection-container {
  display: grid;
  grid-template-columns: 100%;
  column-gap: 5px;
}

.worldbuilding .item-selection-container .grid-container {
  display: grid;
  grid-template-columns: 70% 30%;
  border-bottom: 1px solid rgba(128, 128, 128, 0.719);
  align-items: center;
}

.worldbuilding .attribute-container .right-align-content,
.worldbuilding .item-selection-container .right-align-content {
  display: flex;
  justify-content: center;
}

.worldbuilding .grid-container .right-align-content {
  justify-content: right;
}

.worldbuilding .grid-container input {
  text-align: center;
  border: none;
  height: 18px;
}

.worldbuilding .item-description-container {
  display: grid;
  grid-template-columns: 35% 65%;
}

.worldbuilding .basic-padding {
  padding: 0 5px;
}